getdifficulty - Bitcoin
Example code for the getdifficulty JSON-RPC method. Complete guide on how to use getdifficulty JSON-RPC in GetBlock Web3 documentation.
This method returns the proof-of-work difficulty as a multiple of the minimum difficulty.
Parameters
This method does not accept any parameters.
Request
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
"jsonrpc": "2.0",
"method": "getdifficulty",
"params": [],
"id": "getblock.io"
}'const axios = require('axios');
const response = await axios.post('https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/', {
jsonrpc: '2.0',
method: 'getdifficulty',
params: [],
id: 'getblock.io'
}, {
headers: { 'Content-Type': 'application/json' }
});
console.log(response.data.result);import requests
response = requests.post(
'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/',
headers={'Content-Type': 'application/json'},
json={
'jsonrpc': '2.0',
'method': 'getdifficulty',
'params': [],
'id': 'getblock.io'
}
)
print(response.json())Response
{
"jsonrpc": "2.0",
"id": "getblock.io",
"result": 75502165623893.83
}Response Parameters
jsonrpc
string
JSON-RPC protocol version ("2.0")
id
string
Request identifier matching the request
result
number
The current mining difficulty
Use Cases
Mining Analytics: Read the current difficulty
Hashrate Estimation: Combine with block time to estimate hashrate
Dashboards: Display difficulty over time
Alerting: Watch for large difficulty changes
Error Handling
403
Forbidden
Missing or invalid ACCESS-TOKEN
-8
Invalid parameter
A parameter is out of range or malformed
-32601
Method not found
The method is not available on this endpoint
-32602
Invalid params
A parameter is missing or has the wrong type
Last updated
Was this helpful?